/** @hidden */
export declare type ArrayIteratee<I, O> = (item: I, index: number) => O;
/** @hidden */
export declare type ObjectIteratee<T, O> = (item: T[keyof T], key: StringifiedKey<T>) => O;
/** @hidden */
export declare type StringifiedKey<T> = Cast<keyof T, string>;
/** @hidden */
declare type Cast<I, O> = Exclude<I, O> extends never ? I : O;
/** @hidden */
export declare type Nil = null | undefined;
export {};
